gpo.zugaina.org

Search Portage & Overlays:

media-gfx/fbida

Image viewers for the framebuffer console (fbi) and X11 (ida)

Screenshots

  • fbida-9999
    curl fbcon ghostscript +gif lirc +png scanner +tiff X +webp

    View      Download      Browse     License: GPL-2 IJG   
    Overlay: gentoo (layman)
  • fbida-2.12
    ~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sh ~sparc ~x86
    curl fbcon +gif lirc pdf +png scanner +tiff X +webp

    View      Download      Browse     License: GPL-2 IJG   
    Overlay: wjn-overlay (layman)
  • fbida-2.12
    alpha amd64 arm hppa ~ppc ~ppc64 ~sh ~sparc ~x86
    curl fbcon ghostscript +gif lirc +png scanner +tiff X +webp

    View      Download      Browse     License: GPL-2 IJG   
    Overlay: gentoo (distro)
  • fbida-2.10
    alpha amd64 arm hppa ppc ppc64 ~sh sparc x86
    curl fbcon +gif lirc pdf +png scanner +tiff X +webp

    View      Download      Browse     License: GPL-2 IJG   
    Overlay: gentoo (layman)
  • fbida-2.09
    alpha amd64 arm hppa ppc ppc64 sh sparc x86
    curl fbcon gif imagemagick lirc pdf png scanner tiff X

    View      Download      Browse     License: GPL-2   
    Overlay: sabayon (layman)

ChangeLog

# ChangeLog for media-gfx/fbida
# Copyright 1999-2016 Gentoo Foundation; Distributed under the GPL v2
# (auto-generated from git log)

01 Aug 2016; wjn <wjn@aol.jp> fbida-2.12.ebuild:
Drop needless dep of app-text/ghostscript-gpl

*fbida-2.12 (15 Apr 2016)

15 Apr 2016; wjn <wjn@aol.jp> +fbida-2.12.ebuild,
+files/fbida-2.10-fprintf-format.patch, +files/fbida-2.10-giflib-4.2.patch,
+files/fbida-2.12-drop-fbpdf.patch, +files/ida-desktop.patch, +metadata.xml:
Add newly to fix version 2.12 when USE="fbcon -pdf"

fbpdf was added to fbi in version 2.12

But if install fbi (USE="fbcon") and USE="-pdf", fbpdf is not needed.
fbpdf should be removed from GNUmakefile for USE="fbcon -pdf",
because fbpdf pulls additonal dependencies.
See https://www.kraxel.org/cgit/fbida/tree/GNUmakefile?h=2.12#n17